Subject: Re: Compiling V, cygnus DLL
From: [email-masked] (Stipe Tolj)

3 Oct 1998 06:49:47 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Romain Behar <[email-masked]>
Cc: [email-masked]

> I tried to compile V using MinGW32, but failed. MinGW32 has a C++
> include file named String.h, while V uses the C include named string.h .
> How do I make the compiler case sensitive ?
>
> Anyway, I renamed the file String.h to foo.h and two V directories
> compiled until I got an error from the `-lV' option.
>
> Another trouble came with the Cygwin DLL : MinGW32 builds programs that
> do not print anything while using the B19 package DLL, then I updated
> to  19-plus dll (670K long), and the bash now doesnt find the .bashrc
> which lies in `/' directory.
>
> My goal is to compile programs using the V interface, and it seems not
> to be that simple.

No, it isn't that hard. I'm currently working on it and compiled the latest
V-1.20 using the Windows GUI under cygwin32 b19.2 and using the X version too
(with some errors still).

There will be a port package of v-1.20 for cygwin32 available at my web site
(see below) in some days.

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin32 Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".